org.minidns.dnslabel

## Class LeadingOrTrailingHyphenLabel

- java.lang.Object
- - org.minidns.dnslabel.DnsLabel
  - - org.minidns.dnslabel.NonLdhLabel
    - - org.minidns.dnslabel.LeadingOrTrailingHyphenLabel

- All Implemented Interfaces:
    CharSequence, Comparable<DnsLabel>

      public final class LeadingOrTrailingHyphenLabel
      extends NonLdhLabel

  A DNS label with a leading or trailing hyphen ('-').

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.minidns.dnslabel.DnsLabel

      `DnsLabel.LabelToLongException`

  - ### Field Summary

    - ### Fields inherited from class org.minidns.dnslabel.DnsLabel

      `label, MAX_LABEL_LENGTH_IN_OCTETS, VALIDATE, WILDCARD_LABEL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LeadingOrTrailingHyphenLabel(String label)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `isLeadingOrTrailingHypenLabelInternal(String label)`

    - ### Methods inherited from class org.minidns.dnslabel.NonLdhLabel

      `fromInternal`

    - ### Methods inherited from class org.minidns.dnslabel.DnsLabel

      `asLowercaseVariant, charAt, compareTo, equals, from, from, getInternationalizedRepresentation, getInternationalizedRepresentationInternal, getLabelType, hashCode, isIdnAcePrefixed, length, subSequence, toString, writeToBoas`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.CharSequence

      `chars, codePoints`

- - ### Constructor Detail

    - #### LeadingOrTrailingHyphenLabel

          protected LeadingOrTrailingHyphenLabel(String label)

  - ### Method Detail

    - #### isLeadingOrTrailingHypenLabelInternal

          protected static boolean isLeadingOrTrailingHypenLabelInternal(String label)